From 017be4d13ff92ddabe2b7c31fed8d3666659fd6c Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Thu, 21 May 2020 19:22:22 +0800
Subject: [PATCH 68/77] virsh_migrate: fix a 'model name' keyerror

'Model Name' is not supported in centos7.6 on Kunpeng-920. It will cause
a KeyError in all virsh_migrate cases. Fix that.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
index 8f2ef954..d04788c3 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
@@ -1362,5 +1362,5 @@ def get_compat_guest_migrate(params):
     if platform.machine() == 's390x':
         return False
     compat_guest_migrate = (params.get("host_arch", "all_arch") in
-                            cpu.get_cpu_info()['Model name'])
+                            cpu.get_cpu_info().get('Model name', ""))
     return compat_guest_migrate
-- 
2.23.0

